using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.GridHelperClasses;
using Syncfusion.Windows.Forms.Grid.Grouping;

namespace F91212
{
    public partial class Form1 : Form
    {
        private int rowcount = 20;
        private string[] dept ={ "CIVIL", "MECHANICAL", "EEE", "ECE", "IT", "CSE", "BIO-TECH", "AERO", "MARINE", "TEXTILE" };
        private string[] year ={ "I", "II", "III", "IV" };
        private DataTable dt;
        private GridDynamicFilter filter;

        public Form1()
        {
            InitializeComponent();
            filter = new GridDynamicFilter();
           
            #region DataSource
            dt = new DataTable();
            dt.Columns.Add("SNo");
            dt.Columns.Add("StudentID");
            dt.Columns.Add("Department");
            dt.Columns.Add("Year");
            dt.Columns.Add("Location");

            Random r = new Random(124321);
            for (int i = 0; i < rowcount; i++)
            {
                DataRow dr = dt.NewRow();
                if ((i + 1) < 10)
                {
                    dr[0] = "0" + (i + 1).ToString();
                    dr[1] = "S" + "0" + (i + 1).ToString();
                }
                else
                {
                    dr[0] = (i + 1).ToString();
                    dr[1] = "S" + (i + 1).ToString();
                }
                dr[2] = dept[r.Next(0, 9)];
                dr[3] = year[r.Next(0, 3)];
                dr[4] = "City";
                dt.Rows.Add(dr);
            }
            #endregion

            this.gridGroupingControl1.DataSource = dt;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowAddNewRecordBeforeDetails = false;
            this.gridGroupingControl1.TopLevelGroupOptions.ShowFilterBar = true;

            foreach (GridColumnDescriptor col in this.gridGroupingControl1.TableDescriptor.Columns)
                col.AllowFilter = true;

            filter.WireGrid(this.gridGroupingControl1);
        }
    }
}